%define rname mpg123
%define name emacs-%{rname}
%define version 1.24
%define release 6mdk

%define flavor emacs xemacs

Summary: A front-end program to mpg123 under Emacs/XEmacs.
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://www.gentei.org/~yuuji/software/mpg123el/%{rname}.el.bz2
Source1: %{name}-autostart.el
License: GPL
Group: Editors
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}
BuildRequires: %{flavor}
BuildRequires: perl
BuildRequires: emacs-bin
Requires: %{rname}
BuildArch: noarch
URL: http://www.gentei.org/~yuuji/software/mpg123el/

%description
A front-end program to mpg123 under Emacs/XEmacs.

%prep
%setup -T -c %{name}-%{version}
bzcat %{SOURCE0} > %{rname}.el

%build
for i in %{flavor};do
$i -batch -q -no-site-file -f batch-byte-compile %{rname}.el 
mv %{rname}.elc $i-%{rname}.elc
done

#Maybe need adjust
perl -n -e 'last if /^\(/;last if /^;;; Code/; print' < %{SOURCE0} > DOCUMENTATION

%install
rm -rf $RPM_BUILD_ROOT

for i in %{flavor};do
install -D -m644 $i-%{rname}.elc %{buildroot}%{_datadir}/$i/site-lisp/$i-%{rname}.elc
[[ $i = emacs ]] && install -D -m644 %{rname}.el %{buildroot}%{_datadir}/emacs/site-lisp/%{rname}.el
done

install -d %buildroot%{_sysconfdir}/emacs/site-start.d
cat << EOF > %buildroot%{_sysconfdir}/emacs/site-start.d/%{name}.el
%{expand:%(%__cat %{SOURCE1})}
EOF


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc DOCUMENTATION
%config(noreplace) /etc/emacs/site-start.d/%{name}.el
%{_datadir}/*/site-lisp/*el*

%changelog
* Fri Feb 20 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.24-6mdk
- rebuild

* Fri Jan 24 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.24-5mdk
- rebuild

* Tue Jan 21 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.24-4mdk
- rebuild for latest emacs

* Fri Jun 21 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.24-3mdk
- add URL
- buildrequires emacs-bin instead of emacs-X11

* Thu Jun 20 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.24-2mdk
- fix %%build
- bzip %%{SOURCE0}
- BuildArch noarch
- BuildRequires emacs-X11 (/usr/bin/emacs)

* Tue May 29 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.24-1mdk
- First version.


# end of file
